> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasnotificationscript.md).

# Set-RASNotificationScript

## SYNOPSIS

Update notification script.

## SYNTAX

```powershell
Set-RASNotificationScript -Id <uint> [-Arguments <string>] [-Command <string>]
 [-InitialDirectory <string>] [-NewName <string>] [-Password <SecureString>] [-Username <string>]
 [<CommonParameters>]
```

```powershell
Set-RASNotificationScript -InputObject <NotificationScript> [-Arguments <string>]
 [-Command <string>] [-InitialDirectory <string>] [-NewName <string>] [-Password <SecureString>]
 [-Username <string>] [<CommonParameters>]
```

```powershell
Set-RASNotificationScript -Name <string> [-Arguments <string>] [-Command <string>]
 [-InitialDirectory <string>] [-NewName <string>] [-Password <SecureString>] [-SiteId <uint>]
 [-Username <string>] [<CommonParameters>]
```

## DESCRIPTION

Updates an existing script.

## EXAMPLES

### Example 1

```powershell
Set-RASNotificationScript -Id 12 -Arguments "(`$HOSTPOOL) (`$CA) (`$FARM-NAME)" -Command "otherScript.py"
```

Updates notification script with Id 12 using specified parameter values.

### Example 2

```powershell
Set-RASNotificationScript -Name "notif_script" -Arguments "(`$HOSTPOOL) (`$CA) (`$FARM-NAME)" -Command "otherScript.py"
```

Updates notification script named 'notif\_script' using specified parameter values.

### Example 3

```powershell
Get-NotificationScript -Id 12 | Set-RASNotificationScript -Arguments "(`$HOSTPOOL)(`$CA)(`$FARM-NAME)" -Command "otherScript.py"
```

Updates notification script from pipeline using specified parameter values.

## PARAMETERS

### -Name

Script name.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID.

```yaml
Type: uint
Required: False
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

Script ID.

```yaml
Type: uint
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -InputObject

Input object from pipe line or by parameter.

Type reference: [NotificationScript](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/notificationscript.md)

```yaml
Type: NotificationScript
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -NewName

A new script name to assign.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Command

Command to execute when invoked.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Arguments

Command arguments.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -InitialDirectory

Script base directory.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Username

Execute script as this system user.

```yaml
Type: string
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Password

System user password.

```yaml
Type: SecureString
Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### None

## RELATED LINKS

* [Get-RASNotificationScript](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasnotificationscript.md)
* [New-RASNotificationScript](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/new-rasnotificationscript.md)
* [Remove-RASNotificationScript](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasnotificationscript.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasnotificationscript.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
